<%--

    Copyright (C) 2015 - 2018 Kosmos contact@kosmos.fr

    Projet: blog
    Version: 1.07.00-BETA-01

    Licensed under the Apache License, Version 2.0 (the "License");
    you may not use this file except in compliance with the License.
    You may obtain a copy of the License at

            http://www.apache.org/licenses/LICENSE-2.0

    Unless required by applicable law or agreed to in writing, software
    distributed under the License is distributed on an "AS IS" BASIS,
    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
    See the License for the specific language governing permissions and
    limitations under the License.

--%>
<%@page import="java.text.DateFormat"%>
<%@page import="java.text.SimpleDateFormat"%>
<%@page import="java.util.Date"%>
<%@page import="org.apache.commons.lang3.StringUtils"%>
<%@page import="com.kosmos.blog.om.Blog"%>
<%@page import="com.kosmos.service.impl.ServiceManager"%>
<%@page import="com.kportal.cms.objetspartages.Objetpartage"%>
<%@page import="com.univ.objetspartages.bean.MediaBean"%>
<%@page import="com.univ.objetspartages.bean.RubriqueBean"%>
<%@ page import="com.univ.objetspartages.om.ReferentielObjets" %>
<%@ page import="com.univ.objetspartages.services.ServiceMedia" %>
<%@ page import="com.univ.objetspartages.services.ServiceRubrique" %>
<%@ page import="com.univ.objetspartages.util.MediaUtils" %>
<%@ page import="com.univ.utils.ContexteUniv" %>
<%@ page import="com.univ.utils.ContexteUtil" %>
<%@ page import="com.univ.utils.EscapeString" %>
<jsp:useBean id="frontOfficeBean" class="com.univ.url.FrontOfficeBean" scope="request" />
<%
    final ServiceRubrique serviceRubrique = ServiceManager.getServiceForBean(RubriqueBean.class);
    final ServiceMedia serviceMedia = ServiceManager.getServiceForBean(MediaBean.class);
    ContexteUniv ctx = ContexteUtil.getContexteUniv();
    Blog blog = (Blog) ctx.getFicheCourante();
    Objetpartage module = ReferentielObjets.getObjetByNom(ReferentielObjets.getNomObjet(blog));
    String filterYear = StringUtils.defaultString(request.getParameter("FILTER_YEAR"));
    String filterMonth = StringUtils.defaultString(request.getParameter("FILTER_MONTH"));
    String filterKeyword = StringUtils.defaultString(request.getParameter("FILTER_KEYWORD"));
    if (StringUtils.isBlank(filterYear) && StringUtils.isBlank(filterMonth) && StringUtils.isBlank(filterKeyword)) {
        ctx.putData("soustitre", "<p class=\"extension-blog__billet-titre\">" + module.getMessage("front.blog.bloc_derniers_articles") + "</p>");
    } else if (StringUtils.isNotBlank(filterYear) && StringUtils.isNumeric(filterYear)) {
        DateFormat formatAnnee = new SimpleDateFormat("yyyy", ctx.getLocale());
        Date dateRef = new Date(Long.valueOf(filterYear));
        ctx.putData("soustitre", "<p class=\"extension-blog__billet-titre\">" + module.getMessage("front.blog.bloc_archives") + "&nbsp;" + formatAnnee.format(dateRef) + "</p>");
    } else if (StringUtils.isNotBlank(filterMonth) && StringUtils.isNumeric(filterMonth)) {
        DateFormat formatMois = new SimpleDateFormat("MMMM yyyy", ctx.getLocale());
        Date dateRef = new Date(Long.valueOf(filterMonth));
        ctx.putData("soustitre", "<p class=\"extension-blog__billet-titre\">" + module.getMessage("front.blog.bloc_archives") + "&nbsp;" + formatMois.format(dateRef) + "</p>");
    } else if (StringUtils.isNotBlank(filterKeyword)) {
        ctx.putData("soustitre", "<p class=\"extension-blog__billet-titre\">" + module.getMessage("front.blog.bloc_keywords") + "&nbsp;" + EscapeString.escapeHtml(filterKeyword) + "</p>");
    }
    if (blog.getThematique().length() > 0) {
        ctx.putData("surtitre","<p class=\"extension-blog__blog-thematique\">" + blog.getLibelleThematique() + "</p>");
    }
    ctx.putData("titre",blog.getTitre());

    // Calcul spécifique pour l'affichage du bandeau sur le blog
    final RubriqueBean blogSection = serviceRubrique.getRubriqueByCode(blog.getCode());
    if(blogSection != null && blogSection.getId() != 0L && blogSection.getIdBandeau() != 0L) {
        final MediaBean bandeau = serviceMedia.getById(blogSection.getIdBandeau());
        frontOfficeBean.setVisuelRubrique(MediaUtils.getUrlAbsolue(bandeau));
    }
%>