<%--

    Copyright (C) 2015 - 2018 Kosmos contact@kosmos.fr

    Projet: blog
    Version: 1.07.00-BETA-01

    Licensed under the Apache License, Version 2.0 (the "License");
    you may not use this file except in compliance with the License.
    You may obtain a copy of the License at

            http://www.apache.org/licenses/LICENSE-2.0

    Unless required by applicable law or agreed to in writing, software
    distributed under the License is distributed on an "AS IS" BASIS,
    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
    See the License for the specific language governing permissions and
    limitations under the License.

--%>
<%@page import="java.net.URLEncoder"%>
<%@page import="java.text.SimpleDateFormat"%>
<%@page import="java.util.List"%>
<%@page import="java.util.Map"%>
<%@page import="org.apache.commons.lang3.StringUtils"%>
<%@page import="com.jsbsoft.jtf.core.Formateur"%>
<%@page import="com.kosmos.blog.om.Articleblog"%>
<%@page import="com.kosmos.blog.om.Blog"%>
<%@page import="com.kosmos.service.impl.ServiceManager"%>
<%@page import="com.kportal.cms.objetspartages.Objetpartage"%>
<%@page import="com.kportal.ihm.utils.EncadresFrontUtils"%>
<%@page import="com.univ.objetspartages.bean.UtilisateurBean"%>
<%@page import="com.univ.objetspartages.om.FicheUniv"%>
<%@page import="com.univ.objetspartages.om.ReferentielObjets"%>
<%@page import="com.univ.objetspartages.services.ServiceUser"%>
<%@page import="com.univ.objetspartages.util.LabelUtils"%>
<%@page import="com.univ.utils.ContexteUniv"%>
<%@ page import="com.univ.utils.ContexteUtil" %>
<%@ page import="com.univ.utils.URLResolver" %>
<%@ page import="com.univ.utils.UnivWebFmt" %>
<%
ContexteUniv ctx = ContexteUtil.getContexteUniv();
Objetpartage module = ReferentielObjets.getObjetByNom("Articleblog");
FicheUniv ficheUniv = ctx.getFicheCourante();
Blog blogRef = null;
if (ficheUniv instanceof Articleblog) {
    blogRef = ((Articleblog)ficheUniv).getBlog();
} else {
    blogRef = (Blog)ficheUniv;
}

    final ServiceUser serviceUser = ServiceManager.getServiceForBean(UtilisateurBean.class);
UtilisateurBean user = serviceUser.getByCode(blogRef.getCodeRedacteur());
String contenuEncadre = StringUtils.EMPTY;
String titreEncadre = StringUtils.EMPTY;
String encadreAutreClasse = StringUtils.EMPTY;
if (blogRef != null) {
    String description = UnivWebFmt.formaterEnHTML(ctx, blogRef.getDescription());
    %><div class="<%= EncadresFrontUtils.AUTO_FICHE%>">
        <h2><%= module.getMessage("BLOG.DESCRIPTION") %></h2>
        <div class="encadre_contenu"><%
                if (StringUtils.isNotBlank(description)) {
                    %><p id="extension-blog__blog-description"><%= UnivWebFmt.formaterEnHTML(ctx, blogRef.getDescription()) %></p><%
                }
                %><ul class="extension-blog__blog-metadonnees"><%
                if (StringUtils.isNotBlank(blogRef.getCodeRedacteur())) {
                    %><li class="extension-blog__blog-auteur"><span class="icon icon-user" aria-hidden="true"></span><strong><%= module.getMessage("blog.description.responsable")%>&nbsp;:</strong> <%= String.format("%s %s", user.getPrenom(), user.getNom()) %></li><%
                }
                if (StringUtils.isNotBlank(blogRef.getThematique()) && !"0000".equals(blogRef.getThematique())) {
                    %><li class="extension-blog__blog-thematique"><span class="icon icon-flag" aria-hidden="true"></span><strong><%= module.getMessage("blog.description.thematique")%>&nbsp;:</strong> <%= LabelUtils.getLibelle("04", blogRef.getThematique(), ctx.getLocale()) %></li><%
                }
                SimpleDateFormat formatJourMoisAnnee = new SimpleDateFormat("dd MMMM yyyy", ctx.getLocale());
                // date de création
                if (Formateur.estSaisie(blogRef.getMeta().getMetaDateCreation())) {
                    %><li class="extension-blog__blog-date-creation"><span class="icon icon-calendar" aria-hidden="true"></span><strong><%= module.getMessage("blog.description.creation")%>&nbsp;:</strong> <%=formatJourMoisAnnee.format(blogRef.getMeta().getMetaDateCreation())  %></li><%
                }
                // date de mise à jour du dernier billet
                if (Formateur.estSaisie(blogRef.getLastUpdate())) {
                    %><li class="extension-blog__blog-maj"><span class="icon icon-calendar" aria-hidden="true"></span><strong><%= module.getMessage("blog.description.maj") %>&nbsp;:</strong> <%= formatJourMoisAnnee.format(blogRef.getLastUpdate()) %> </li><%
                }
                // nombre d'articles
                List <Articleblog> billets = blogRef.getArticles(ctx);
                int nbBillets = 0;
                if (billets != null && !billets.isEmpty()) {
                    nbBillets = billets.size();
                }
                %><li class="extension-blog__blog-articles"><span class="icon icon-pencil" aria-hidden="true"></span><strong><%= module.getMessage("blog.description.article.nb") %>&nbsp;:</strong> <%=nbBillets %></li><%
                // nombre de commentaires
                int nbBilletsComments = 0;
                if (billets != null && !billets.isEmpty()) {
                    for (Articleblog billet : billets) {
                        nbBilletsComments += billet.getNombreReponses();
                    }
                }
                %><li class="extension-blog__blog-commentaires"><span class="icon icon-bubble" aria-hidden="true"></span><strong><%= module.getMessage("blog.description.commentaire.nb") %>&nbsp;:</strong> <%= nbBilletsComments %></li>
                </ul>
        </div><!-- .encadre_contenu -->
    </div><!-- .<%= EncadresFrontUtils.AUTO_FICHE%> --><%

    List<Articleblog> derniersArticlesEncadre =  blogRef.getDerniersArticles(ctx, 0, 5);
    // derniers articles
    if (!derniersArticlesEncadre.isEmpty()) {
        %><div class="<%= EncadresFrontUtils.AUTO_FICHE%>">
            <h2><%= module.getMessage("front.blog.bloc_derniers_articles") %></h2>
            <div class="encadre_contenu">
                <ul id="derniers_billets" class="extension-blog__derniers-billets"><%
                for (Articleblog articleItem : derniersArticlesEncadre) {
                    %><li><a href="<%= UnivWebFmt.determinerUrlFiche(ctx, articleItem) %>"><%= articleItem.getTitre()%></a></li><%
                }
                %></ul>
                <span id="action_add" class="extension-blog__billet-ajout"><%= UnivWebFmt.formaterEnHTML(ctx, "[traitement;lien_fiches;ACTION=AJOUTER#OBJET=ARTICLEBLOG#CODE_RUBRIQUE=" + blogRef.getCode() + "#LIBELLE=" + module.getMessage("front.blog.article.ajouter") + "]")%></span>
            </div><!-- .encadre_contenu -->
        </div><%
    }

    String blogUrl = URLResolver.getAbsoluteUrl(UnivWebFmt.determinerUrlFiche(ctx, blogRef), ctx);
    // Bloc des mots clés du Blog courant
    Map<String, Integer> keywords = blogRef.getKeywordsCount();
    if (!keywords.isEmpty()) {
        %><div class="<%= EncadresFrontUtils.AUTO_FICHE%>">
            <h2><%= module.getMessage("front.blog.bloc_keywords") %></h2>
            <div class="encadre_contenu extension-blog__tags">
                <ul id="nuage_tag" class="extension-blog__tags-nuage"><%
                for (String keyword : keywords.keySet()) {
                    double weight = Math.ceil(10 * keywords.get(keyword) / nbBillets);
                    %><li><a class="tags-nuage-<%= ((int)weight) %>" href=" <%= blogUrl + "&FILTER_KEYWORD=" + URLEncoder.encode(keyword, "UTF-8") %>"><%= keyword %></a></li><%
                }
                %></ul>
            </div><!-- .encadre_contenu -->
        </div><%
    }
    // Bloc des archives du Blog courant
    if ("1".equals(blogRef.getArchivage())) {
        List<java.util.Date> datesArchives = blogRef.getYears();
        if (!datesArchives.isEmpty()) {
            SimpleDateFormat formatAnnee = new SimpleDateFormat("yyyy", ctx.getLocale());
            %><div class="<%= EncadresFrontUtils.AUTO_FICHE%>">
                <h2><%= module.getMessage("front.blog.bloc_archives") %></h2>
                <div class="encadre_contenu">
                    <ul class="extension-blog__archives"><%
                    for (java.util.Date date2 : datesArchives) {
                        %><li><a href="<%= blogUrl + "&FILTER_YEAR=" + date2.getTime() %>"><%= formatAnnee.format(date2) %></a></li><%
                    }
                    %></ul>
                </div><!-- .encadre_contenu -->
            </div><!-- .<%= EncadresFrontUtils.AUTO_FICHE%> --><%
        }
    } else if ("2".equals(blogRef.getArchivage())) {
        List<java.util.Date> datesArchives = blogRef.getMonths();
        if (!datesArchives.isEmpty()) {
            SimpleDateFormat formatMoisAnnee = new SimpleDateFormat("MMMM yyyy", ctx.getLocale());
            %><div class="<%= EncadresFrontUtils.AUTO_FICHE%>">
                <h2><%= module.getMessage("front.blog.bloc_archives") %></h2>
                <div class="encadre_contenu">
                    <ul class="extension-blog__archives"><%
                    for (java.util.Date date2 : datesArchives) {
                        %><li><a href="<%= blogUrl + "&FILTER_MONTH=" + date2.getTime() %>"><%= formatMoisAnnee.format(date2) %></a></li><%
                    }
                    %></ul>
                </div><!-- .encadre_contenu -->
            </div><!-- .<%= EncadresFrontUtils.AUTO_FICHE%> --><%
        }
    }
}

 %>